## kubuntu-docs 8.10-6

=== Makefile ===
#################################################################################
# Makefile for the Kubuntu Documentation
# Copyright (C) 2005-2006 Ubuntu Documentation Project (ubuntu-doc@lists.ubuntu.com)
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#    On Debian based systems a copy of the GPL can be found
#    at /usr/share/common-licenses/GPL
#
#################################################################################

MAKECMD=make

# XSL Processors
XSLTPROC=/usr/bin/xsltproc

current_distro=$(shell test -e /etc/debian_version && echo "debian")

# NWalsh Docbook XSL's
ifeq ($(current_distro), debian)
# Ubuntu
NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl

# Debian and Ubuntu also need an explicit location for the XML catalog files
#export XML_CATALOG_FILES = /usr/share/xml/docbook/schema/dtd/4.3/catalog.xml
#else
# SuSE
#NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/current/html/docbook.xsl
endif

# Stylesheets for building HTML and PDF
KUBUNTUXSL=libs/kubuntu-chunk.xsl
INDEXXSL=libs/index-table.xsl

# Makes an Image list text file
#MKIMGLST=libs/imagelist.xsl

# Collected and Write Status
#wOS=../libs/writeOwnerStatus.xsl

BUILDDIR=build/

# Base kde directories for output from processor
KBASE=$(BUILDDIR)kubuntu/

# all is for the kubuntu package and for the nightly builds for doc.ubuntu.com
all: clean style tbh about kindex

# Style
style:
	# copy style sheet to build directory
	mkdir $(KBASE)common/
	mkdir -p $(KBASE)images/admon/
	mkdir $(KBASE)images/C/
	mkdir $(KBASE)images/callouts/
	mkdir $(KBASE)images/navig/
	mkdir $(KBASE)images/index
	cp libs/*.css $(KBASE)common/
	cp /usr/share/doc/kde4/HTML/en/common/*png $(KBASE)common/
	cp images/admon/*.png $(KBASE)images/admon/
	cp images/C/*.png $(KBASE)images/C/
	cp images/callouts/*.png $(KBASE)images/callouts/
	cp images/navig/*.png $(KBASE)images/navig/
	cp images/index/*.png $(KBASE)images/index/

# Topic Based Help
tbh:

	for doc in add-applications basic-concepts config-desktop files-and-docs \
		games getting-help hardware internet keeping-safe musicvideophotos \
		network newtokubuntu office printing programming system-settings; do \
		xsltproc --xinclude -o $(KBASE)$$doc/C/index.html $(KUBUNTUXSL) \
		docs/$$doc/C/$$doc.xml; done

# Kubuntu Index
kindex:

	xsltproc --xinclude -o $(KBASE)index/C/index.html $(INDEXXSL) \
		docs/index/C/index.xml

# About Kubuntu
## --stringparam generate.toc "no" removes the table of contents from the page
## --param chunk.first.sections 0 makes this build as 1 page
about:

	xsltproc --stringparam generate.toc "no" --param chunk.first.sections 0 \
		--xinclude -o $(KBASE)about-kubuntu/C/index.html $(KUBUNTUXSL) \
		docs/about-kubuntu/C/about-kubuntu.xml

# Cleanup
clean:

	rm -rf $(KBASE)*

=== debian/changelog ===
kubuntu-docs (8.10-6) intrepid; urgency=low

  * No longer draft

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 17 Oct 2008 13:09:38 +0100

kubuntu-docs (8.10-5) intrepid; urgency=low

  * Fix .desktop files for khelpcentre4
  * Update About Kubuntu

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 06 Oct 2008 17:03:28 +0100

kubuntu-docs (8.10-4) intrepid; urgency=low

  * Fixed postinst as files are no longer in Intrepid (LP: #259767)

 -- Richard A. Johnson <rjohnson@cleversafe.com>  Wed, 20 Aug 2008 10:29:37 -0500

kubuntu-docs (8.10-3) intrepid; urgency=low

  * Fixed postinst and prerm to reflect /usr/share/doc/kde4 instead of kde3

 -- Richard A. Johnson <rjohnson@cleversafe.com>  Tue, 19 Aug 2008 09:16:55 -0500

kubuntu-docs (8.10-2) intrepid; urgency=low

  * Restructured kubuntu documentation package
    - Refer to the NEWS text located in the root directory of the package
  * Removed the Firefox start page files
  * debian/rules: updated to remove firefox files
  * debian/control: removed perl deps due to removal of firefox files, bumped
    version to 3.8.0, updated kdelibs-data dep to kdelibs5-data

 -- Richard A. Johnson <rjohnson@cleversafe.com>  Mon, 18 Aug 2008 10:49:14 -0500

kubuntu-docs (8.10-1) intrepid; urgency=low

  * Depend on khelpcentre4 (not KDE 3 version)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jun 2008 18:50:22 +0100

=== debian/control ===
Source: kubuntu-docs
Section: text
Priority: optional
Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
Uploaders: Richard A. Johnson <nixternal@kubuntu.org>,
 Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 6), cdbs, xsltproc, docbook-xsl, docbook-xml,
 kdelibs5-data
Standards-Version: 3.8.0
Homepage: http://www.kubuntu.org/

Package: kubuntu-docs
Architecture: all
Depends: khelpcenter4
Description: kubuntu documentation
 This package contains the system documentation for the Kubuntu GNU/Linux
 distribution. Full system support for Kubuntu with the KDE 4 desktop can be
 obtained by installing this package.
 .
 This documentation is part of the Ubuntu Documentation Project which is created
 and maintained by the Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_COMPRESS_EXCLUDE := .bz2 .css .dcl .docbook -license .tag .sty .el

DEB_DH_INSTALL_ARGS = -X.svn

DEB_SRCDIR = .

DEB_MAKE_BUILD_TARGET = all

install755=install -m755 -oroot -groot

install/kubuntu-docs::

	# about-kubuntu.desktop file for LiveCD desktop icon
	cp docs/about-kubuntu/desktop/about-kubuntu.desktop \
			docs/about-kubuntu/desktop/about-kubuntu.desktop.tobemoved
	dh_install docs/about-kubuntu/desktop/*.tobemoved usr/share/kde4/apps/khelpcenter/plugins/kubuntu/
	dh_install docs/about-kubuntu/desktop/*.desktop usr/share/kde4/apps/khelpcenter/plugins/kubuntu/

	# *.desktop files to make documents appear in khelpcenter
	dh_install docs/khelpdesktop/kubuntu/*.desktop usr/share/kde4/apps/khelpcenter/plugins/kubuntu/

	# this is the .directory file for proper naming in khelpcenter.
	dh_install docs/khelpdesktop/kubuntu/.directory usr/share/kde4/apps/khelpcenter/plugins/kubuntu/
	
	# now add a pinch of css
	dh_install build/kubuntu/common/kubuntu-default.css usr/share/doc/kde4/HTML/en/common/
	dh_install build/kubuntu/common/index-table.css usr/share/doc/kde4/HTML/en/common/

	# image love
	dh_install build/kubuntu/images/* usr/share/doc/kde4/HTML/en/images/

	# install doc-base files
	dh_install debian/kubuntu-systemdocs usr/share/doc-base

	# install contributors and cc-by-sa documentation into help:/kubuntu/$$
	dh_install libs/*.html usr/share/doc/kde4/HTML/en/kubuntu/

	# install english docs
	dh_install build/kubuntu/about-kubuntu/C/* usr/share/doc/kde4/HTML/en/kubuntu/about-kubuntu/
	dh_install build/kubuntu/add-applications/C/* usr/share/doc/kde4/HTML/en/kubuntu/add-applications/
	dh_install build/kubuntu/basic-concepts/C/* usr/share/doc/kde4/HTML/en/kubuntu/basic-concepts/
	dh_install build/kubuntu/config-desktop/C/* usr/share/doc/kde4/HTML/en/kubuntu/config-desktop/
	dh_install build/kubuntu/files-and-docs/C/* usr/share/doc/kde4/HTML/en/kubuntu/files-and-docs/
	dh_install build/kubuntu/games/C/* usr/share/doc/kde4/HTML/en/kubuntu/games/
	dh_install build/kubuntu/getting-help/C/* usr/share/doc/kde4/HTML/en/kubuntu/getting-help/
	dh_install build/kubuntu/hardware/C/* usr/share/doc/kde4/HTML/en/kubuntu/hardware/
	dh_install build/kubuntu/index/C/* usr/share/doc/kde4/HTML/en/kubuntu/index/
	dh_install build/kubuntu/internet/C/* usr/share/doc/kde4/HTML/en/kubuntu/internet/
	dh_install build/kubuntu/keeping-safe/C/* usr/share/doc/kde4/HTML/en/kubuntu/keeping-safe/
	dh_install build/kubuntu/musicvideophotos/C/* usr/share/doc/kde4/HTML/en/kubuntu/musicvideophotos/
	dh_install build/kubuntu/network/C/* usr/share/doc/kde4/HTML/en/kubuntu/network/
	dh_install build/kubuntu/newtokubuntu/C/* usr/share/doc/kde4/HTML/en/kubuntu/newtokubuntu/
	dh_install build/kubuntu/office/C/* usr/share/doc/kde4/HTML/en/kubuntu/office/
	dh_install build/kubuntu/printing/C/* usr/share/doc/kde4/HTML/en/kubuntu/printing/
	dh_install build/kubuntu/programming/C/* usr/share/doc/kde4/HTML/en/kubuntu/programming/
	dh_install build/kubuntu/system-settings/C/* usr/share/doc/kde4/HTML/en/kubuntu/system-settings/


	######## DOCUMENTATION W/ TRANSLATIONS ########
	# ABOUT KUBUNTU
	#for cc in `cd build/kubuntu/about-kubuntu/ && ls`; do \
	#dh_install build/kubuntu/about-kubuntu/$$cc/* \
	#usr/share/doc/kde4/HTML/$$cc/kubuntu/about-kubuntu/; done
	# ADD APPLICATIONS
	#for cc in `cd build/kubuntu/add-applications/ && ls`; do \
	#dh_install build/kubuntu/add-applications/$$cc/* \
	#usr/share/doc/kde4/HTML/$$cc/kubuntu/add-applications/; done
	# BASIC CONCEPTS
	#for cc in `cd build/kubuntu/basic-concepts/ && ls`; do \
	#dh_install build/kubuntu/basic-concepts/$$cc/* \
	#usr/share/doc/kde4/HTML/$$cc/kubuntu/basic-concepts/; done
	# CONFIG DESKTOP
	#for cc in `cd build/kubuntu/config-desktop/ && ls`; do \
	#dh_install build/kubuntu/config-desktop/$$cc/* \
	#usr/share/doc/kde4/HTML/$$cc/kubuntu/config-desktop/; done
	# FILES AND DOCS
	#for cc in `cd build/kubuntu/files-and-docs/ && ls`; do \
	#dh_install build/kubuntu/files-and-docs/$$cc/* \
	#usr/share/doc/kde4/HTML/$$cc/kubuntu/files-and-docs/; done
	# GAMES
	#for cc in `cd build/kubuntu/games/ && ls`; do \
	#dh_install build/kubuntu/games/$$cc/* \
	#usr/share/doc/kde4/HTML/$$cc/kubuntu/games/; done
	# GETTING HELP
	#for cc in `cd build/kubuntu/getting-help/ && ls`; do \
	#dh_install build/kubuntu/getting-help/$$cc/* \
	#usr/share/doc/kde4/HTML/$$cc/kubuntu/getting-help/; done
	# HARDWARE
	#for cc in `cd build/kubuntu/hardware/ && ls`; do \
	#dh_install build/kubuntu/hardware/$$cc/* \
	#usr/share/doc/kde4/HTML/$$cc/kubuntu/hardware/; done
	# INDEX
	#for cc in `cd build/kubuntu/index/ && ls`; do \
	#dh_install build/kubuntu/index/$$cc/* \
	#usr/share/doc/kde4/HTML/$$cc/kubuntu/index/; done
	# INTERNET
	#for cc in `cd build/kubuntu/internet/ && ls`; do \
	#dh_install build/kubuntu/internet/$$cc/* \
	#usr/share/doc/kde4/HTML/$$cc/kubuntu/internet/; done
	# KEEPING SAFE
	#for cc in `cd build/kubuntu/keeping-safe/ && cat ls`; do \
	#dh_install build/kubuntu/keeping-safe/$$cc/* \
	#usr/share/doc/kde4/HTML/$$cc/kubuntu/keeping-safe/; done
	# MUSIC, VIDEOS, AND PHOTOS (MULTIMEDIA)
	#for cc in `cd build/kubuntu/musicvideophotos/ && ls`; do \
	#dh_install build/kubuntu/musicvideophotos/$$cc/* \
	#usr/share/doc/kde4/HTML/$$cc/kubuntu/musicvideophotos/; done
	# NETWORK
	#for cc in `cd build/kubuntu/network/ && ls`; do \
	#dh_install build/kubuntu/network/$$cc/* \
	#usr/share/doc/kde4/HTML/$$cc/kubuntu/network/; done
	# NEW TO KUBUNTU
	#for cc in `cd build/kubuntu/newtokubuntu/ && ls`; do \
	#dh_install build/kubuntu/newtokubuntu/$$cc/* \
	#usr/share/doc/kde4/HTML/$$cc/kubuntu/newtokubuntu/; done
	# OFFICE
	#for cc in `cd build/kubuntu/office/ && ls`; do \
	#dh_install build/kubuntu/office/$$cc/* \
	#usr/share/doc/kde4/HTML/$$cc/kubuntu/office/; done
	# PRINTING
	#for cc in `cd build/kubuntu/printing/ && ls`; do \
	#dh_install build/kubuntu/printing/$$cc/* \
	#usr/share/doc/kde4/HTML/$$cc/kubuntu/printing/; done
	# PROGRAMMING
	#for cc in `cd build/kubuntu/programming/ && ls`; do \
	#dh_install build/kubuntu/programming/$$cc/* \
	#usr/share/doc/kde4/HTML/$$cc/kubuntu/programming/; done
	# SYSTEM SETTINGS
	#for cc in `cd build/kubuntu/system-settings/ && ls`; do \
	#dh_install build/kubuntu/system-settings/$$cc/* \
	#usr/share/doc/kde4/HTML/$$cc/kubuntu/system-settings/; done
	######## END TRANSLATIONS ########

clean::

	# clean up
	make -C . clean
	rm -f build-stamp
	rm -rf debian/kubuntu-docs

## kubuntu-docs 9.04.2

=== Makefile ===
--- 
+++ 
@@ -54,7 +54,7 @@
 KBASE=$(BUILDDIR)kubuntu/
 
 # all is for the kubuntu package and for the nightly builds for doc.ubuntu.com
-all: clean style tbh about kindex
+all: clean style tbh
 
 # Style
 style:
@@ -66,9 +66,9 @@
 	mkdir $(KBASE)images/navig/
 	mkdir $(KBASE)images/index
 	cp libs/*.css $(KBASE)common/
-	cp /usr/share/doc/kde4/HTML/en/common/*png $(KBASE)common/
+	cp /usr/share/doc/kde/HTML/en/common/*png $(KBASE)common/
 	cp images/admon/*.png $(KBASE)images/admon/
-	cp images/C/*.png $(KBASE)images/C/
+	cp images/C/* $(KBASE)images/C/
 	cp images/callouts/*.png $(KBASE)images/callouts/
 	cp images/navig/*.png $(KBASE)images/navig/
 	cp images/index/*.png $(KBASE)images/index/
@@ -76,26 +76,11 @@
 # Topic Based Help
 tbh:
 
-	for doc in add-applications basic-concepts config-desktop files-and-docs \
-		games getting-help hardware internet keeping-safe musicvideophotos \
-		network newtokubuntu office printing programming system-settings; do \
-		xsltproc --xinclude -o $(KBASE)$$doc/C/index.html $(KUBUNTUXSL) \
-		docs/$$doc/C/$$doc.xml; done
-
-# Kubuntu Index
-kindex:
-
-	xsltproc --xinclude -o $(KBASE)index/C/index.html $(INDEXXSL) \
-		docs/index/C/index.xml
-
-# About Kubuntu
-## --stringparam generate.toc "no" removes the table of contents from the page
-## --param chunk.first.sections 0 makes this build as 1 page
-about:
-
-	xsltproc --stringparam generate.toc "no" --param chunk.first.sections 0 \
-		--xinclude -o $(KBASE)about-kubuntu/C/index.html $(KUBUNTUXSL) \
-		docs/about-kubuntu/C/about-kubuntu.xml
+	for doc in `cat libs/shipped-docs`; do \
+		for x in `ls docs/$$doc/*/*.xml`; do \
+			for cc in `echo $$x | awk -F "/" '{print $$3}'`; do \
+				xsltproc --xinclude -o $(KBASE)$$doc/$$cc/index.html $(KUBUNTUXSL) \
+				docs/$$doc/$$cc/$$doc.xml; done; done; done
 
 # Cleanup
 clean:

=== debian/changelog ===
kubuntu-docs (9.04.2) jaunty; urgency=low

  * Translations added
  * Added the translations script source

 -- Richard A. Johnson <nixternal@ubuntu.com>  Wed, 15 Apr 2009 02:56:22 -0500

kubuntu-docs (9.04.1) jaunty; urgency=low

  * Changed khelpcenter dep to recommend and added www and x-www-browser to deps
  * Cleaned up files under debian/ to change directory from /kde4/ to /kde/
  * Updated control file description of package providing more information
  * Fixed post-installation and pre-removal issues by removing ubuntu-artwork
    references
    - (LP: #242614)
    - (LP: #261006)
    - (LP: #343881)
  * Updated global entity to display the correct Kubuntu version (LP: #325362)

 -- Richard A. Johnson <nixternal@ubuntu.com>  Thu, 26 Mar 2009 22:36:47 -0500
 

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,15 @@
 
 Package: kubuntu-docs
 Architecture: all
-Depends: khelpcenter4
-Description: kubuntu documentation
+Depends: khelpcenter | www-browser | x-www-browser
+Description: kubuntu system documentation
  This package contains the system documentation for the Kubuntu GNU/Linux
- distribution. Full system support for Kubuntu with the KDE 4 desktop can be
+ distribution. Full system support for Kubuntu with the KDE desktop can be
  obtained by installing this package.
+ .
+ Though KHelpCenter is recommended, all documentation in this package is
+ HTML, which means you can view it with any web browser by browsing to
+ /usr/share/doc/kde/HTML/en/kubuntu/<section>.
  .
  This documentation is part of the Ubuntu Documentation Project which is created
  and maintained by the Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_COMPRESS_EXCLUDE := .bz2 .css .dcl .docbook -license .tag .sty .el

DEB_DH_INSTALL_ARGS = -X.svn

DEB_SRCDIR = .

DEB_MAKE_BUILD_TARGET = all

install755=install -m755 -oroot -groot

install/kubuntu-docs::

	# about-kubuntu.desktop file for LiveCD desktop icon
	cp docs/about-kubuntu/desktop/about-kubuntu.desktop \
			docs/about-kubuntu/desktop/about-kubuntu.desktop.tobemoved
	dh_install docs/about-kubuntu/desktop/*.tobemoved usr/share/kde4/apps/khelpcenter/plugins/kubuntu/
	dh_install docs/about-kubuntu/desktop/*.desktop usr/share/kde4/apps/khelpcenter/plugins/kubuntu/

	# *.desktop files to make documents appear in khelpcenter
	dh_install docs/khelpdesktop/kubuntu/*.desktop usr/share/kde4/apps/khelpcenter/plugins/kubuntu/

	# this is the .directory file for proper naming in khelpcenter.
	dh_install docs/khelpdesktop/kubuntu/.directory usr/share/kde4/apps/khelpcenter/plugins/kubuntu/
	
	# now add a pinch of css
	dh_install build/kubuntu/common/kubuntu-default.css usr/share/doc/kde/HTML/en/common/
	dh_install build/kubuntu/common/index-table.css usr/share/doc/kde/HTML/en/common/

	# image love
	dh_install build/kubuntu/images/* usr/share/doc/kde/HTML/en/images/

	# install doc-base files
	dh_install debian/kubuntu-systemdocs usr/share/doc-base

	# install contributors and cc-by-sa documentation into help:/kubuntu/$$
	dh_install libs/*.html usr/share/doc/kde/HTML/en/kubuntu/

	# install english docs
	dh_install build/kubuntu/about-kubuntu/C/* usr/share/doc/kde/HTML/en/kubuntu/about-kubuntu/
	dh_install build/kubuntu/add-applications/C/* usr/share/doc/kde/HTML/en/kubuntu/add-applications/
	dh_install build/kubuntu/basic-concepts/C/* usr/share/doc/kde/HTML/en/kubuntu/basic-concepts/
	dh_install build/kubuntu/config-desktop/C/* usr/share/doc/kde/HTML/en/kubuntu/config-desktop/
	dh_install build/kubuntu/files-and-docs/C/* usr/share/doc/kde/HTML/en/kubuntu/files-and-docs/
	dh_install build/kubuntu/games/C/* usr/share/doc/kde/HTML/en/kubuntu/games/
	dh_install build/kubuntu/getting-help/C/* usr/share/doc/kde/HTML/en/kubuntu/getting-help/
	dh_install build/kubuntu/hardware/C/* usr/share/doc/kde/HTML/en/kubuntu/hardware/
	dh_install build/kubuntu/index/C/* usr/share/doc/kde/HTML/en/kubuntu/index/
	dh_install build/kubuntu/internet/C/* usr/share/doc/kde/HTML/en/kubuntu/internet/
	dh_install build/kubuntu/keeping-safe/C/* usr/share/doc/kde/HTML/en/kubuntu/keeping-safe/
	dh_install build/kubuntu/musicvideophotos/C/* usr/share/doc/kde/HTML/en/kubuntu/musicvideophotos/
	dh_install build/kubuntu/network/C/* usr/share/doc/kde/HTML/en/kubuntu/network/
	dh_install build/kubuntu/newtokubuntu/C/* usr/share/doc/kde/HTML/en/kubuntu/newtokubuntu/
	dh_install build/kubuntu/office/C/* usr/share/doc/kde/HTML/en/kubuntu/office/
	dh_install build/kubuntu/printing/C/* usr/share/doc/kde/HTML/en/kubuntu/printing/
	dh_install build/kubuntu/programming/C/* usr/share/doc/kde/HTML/en/kubuntu/programming/
	dh_install build/kubuntu/system-settings/C/* usr/share/doc/kde/HTML/en/kubuntu/system-settings/


	######## DOCUMENTATION W/ TRANSLATIONS ########
	# ABOUT KUBUNTU
	for cc in `cd build/kubuntu/about-kubuntu/ && ls`; do \
	dh_install build/kubuntu/about-kubuntu/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/about-kubuntu/; done
	# ADD APPLICATIONS
	for cc in `cd build/kubuntu/add-applications/ && ls`; do \
	dh_install build/kubuntu/add-applications/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/add-applications/; done
	# BASIC CONCEPTS
	for cc in `cd build/kubuntu/basic-concepts/ && ls`; do \
	dh_install build/kubuntu/basic-concepts/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/basic-concepts/; done
	# CONFIG DESKTOP
	for cc in `cd build/kubuntu/config-desktop/ && ls`; do \
	dh_install build/kubuntu/config-desktop/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/config-desktop/; done
	# FILES AND DOCS
	for cc in `cd build/kubuntu/files-and-docs/ && ls`; do \
	dh_install build/kubuntu/files-and-docs/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/files-and-docs/; done
	# GAMES
	for cc in `cd build/kubuntu/games/ && ls`; do \
	dh_install build/kubuntu/games/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/games/; done
	# GETTING HELP
	for cc in `cd build/kubuntu/getting-help/ && ls`; do \
	dh_install build/kubuntu/getting-help/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/getting-help/; done
	# HARDWARE
	for cc in `cd build/kubuntu/hardware/ && ls`; do \
	dh_install build/kubuntu/hardware/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/hardware/; done
	# INDEX
	for cc in `cd build/kubuntu/index/ && ls`; do \
	dh_install build/kubuntu/index/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/index/; done
	# INTERNET
	for cc in `cd build/kubuntu/internet/ && ls`; do \
	dh_install build/kubuntu/internet/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/internet/; done
	# KEEPING SAFE
	for cc in `cd build/kubuntu/keeping-safe/ && cat ls`; do \
	dh_install build/kubuntu/keeping-safe/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/keeping-safe/; done
	# MUSIC, VIDEOS, AND PHOTOS (MULTIMEDIA)
	for cc in `cd build/kubuntu/musicvideophotos/ && ls`; do \
	dh_install build/kubuntu/musicvideophotos/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/musicvideophotos/; done
	# NETWORK
	for cc in `cd build/kubuntu/network/ && ls`; do \
	dh_install build/kubuntu/network/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/network/; done
	# NEW TO KUBUNTU
	for cc in `cd build/kubuntu/newtokubuntu/ && ls`; do \
	dh_install build/kubuntu/newtokubuntu/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/newtokubuntu/; done
	# OFFICE
	for cc in `cd build/kubuntu/office/ && ls`; do \
	dh_install build/kubuntu/office/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/office/; done
	# PRINTING
	for cc in `cd build/kubuntu/printing/ && ls`; do \
	dh_install build/kubuntu/printing/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/printing/; done
	# PROGRAMMING
	for cc in `cd build/kubuntu/programming/ && ls`; do \
	dh_install build/kubuntu/programming/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/programming/; done
	# SYSTEM SETTINGS
	for cc in `cd build/kubuntu/system-settings/ && ls`; do \
	dh_install build/kubuntu/system-settings/$$cc/* \
	usr/share/doc/kde/HTML/$$cc/kubuntu/system-settings/; done
	######## END TRANSLATIONS ########

clean::

	# clean up
	make -C . clean
	rm -f build-stamp
	rm -rf debian/kubuntu-docs

## kubuntu-docs 9.10.3

=== Makefile ===
--- 
+++ 
@@ -21,6 +21,10 @@
 
 MAKECMD=make
 
+# Language code for documents
+# Ex. LN=ja for Japenese
+LN=C
+
 # XSL Processors
 XSLTPROC=/usr/bin/xsltproc
 
@@ -40,7 +44,10 @@
 
 # Stylesheets for building HTML and PDF
 KUBUNTUXSL=libs/kubuntu-chunk.xsl
-INDEXXSL=libs/index-table.xsl
+
+# Stylesheets for building docs for help.kubuntu.org
+HKOXSL=libs/website/kubuntu-chunk.xsl
+HKOINDEXXSL=libs/website/index-table.xsl
 
 # Makes an Image list text file
 #MKIMGLST=libs/imagelist.xsl
@@ -48,39 +55,38 @@
 # Collected and Write Status
 #wOS=../libs/writeOwnerStatus.xsl
 
-BUILDDIR=build/
-
 # Base kde directories for output from processor
-KBASE=$(BUILDDIR)kubuntu/
-
-# all is for the kubuntu package and for the nightly builds for doc.ubuntu.com
-all: clean style tbh
+KBASE=build/kubuntu/
 
 # Style
 style:
-	# copy style sheet to build directory
-	mkdir $(KBASE)common/
-	mkdir -p $(KBASE)images/admon/
-	mkdir $(KBASE)images/C/
-	mkdir $(KBASE)images/callouts/
-	mkdir $(KBASE)images/navig/
-	mkdir $(KBASE)images/index
-	cp libs/*.css $(KBASE)common/
-	cp /usr/share/doc/kde/HTML/en/common/*png $(KBASE)common/
-	cp images/admon/*.png $(KBASE)images/admon/
+
+	mkdir -p $(KBASE)images/C
 	cp images/C/* $(KBASE)images/C/
-	cp images/callouts/*.png $(KBASE)images/callouts/
-	cp images/navig/*.png $(KBASE)images/navig/
-	cp images/index/*.png $(KBASE)images/index/
 
-# Topic Based Help
-tbh:
+# all is for the kubuntu package and for the nightly builds for doc.ubuntu.com
+all: clean style about contributors copyright
 
 	for doc in `cat libs/shipped-docs`; do \
-		for x in `ls docs/$$doc/*/*.xml`; do \
-			for cc in `echo $$x | awk -F "/" '{print $$3}'`; do \
-				xsltproc --xinclude -o $(KBASE)$$doc/$$cc/index.html $(KUBUNTUXSL) \
-				docs/$$doc/$$cc/$$doc.xml; done; done; done
+		xsltproc --xinclude -o $(KBASE)$$doc/$(LN)/index.html $(KUBUNTUXSL) \
+		docs/$$doc/$(LN)/$$doc.xml; done
+
+# About Kubuntu - Used for the desktop on a LiveCD only
+## --stringparam generate.toc "no" removes the table of contents from the page
+## --param chunk.first.sections 0 makes this build as 1 page
+about:
+
+	xsltproc --stringparam generate.toc "no" --param chunk.first.sections 0 \
+		--xinclude -o $(KBASE)about-kubuntu/C/index.html $(KUBUNTUXSL) \
+		docs/about-kubuntu/C/about-kubuntu.xml
+
+contributors:
+
+	xsltproc -o $(KBASE)libs/C/contributors.html $(KUBUNTUXSL) libs/C/contributors.xml
+
+copyright:
+
+	xsltproc -o $(KBASE)libs/C/copyright.html $(KUBUNTUXSL) libs/C/ccbysa.xml
 
 # Cleanup
 clean:

=== debian/changelog ===
kubuntu-docs (9.10.3) karmic; urgency=low

  * Refreshed POT files for previous update so it can pick up the new string
    for translation

 -- Richard A. Johnson <nixternal@ubuntu.com>  Tue, 22 Sep 2009 22:53:59 -0500

kubuntu-docs (9.10.2) karmic; urgency=low

  * Added images and updated images to the installation (LP: #423004)
  * Added one string to the add-applications docs for Commercial repo

 -- Richard A. Johnson <nixternal@ubuntu.com>  Sun, 20 Sep 2009 16:03:58 -0500

kubuntu-docs (9.10.1) karmic; urgency=low

  * Initial release of the Karmic documentation, fixes a bunch of bugs:
    - Default package manager has to be changed (LP: #353327)
    - Link fails in doc index for viewing Windows partition (LP: #367224)
    - Application Launcher instructions confusing (LP: #367256)
    - Konversation still listed as default IRC client (LP: #353377)
    - Office section listed OpenOffice.org version 2 (LP: #353381)
    - kdesu in printing section (LP: #354000)
    - string error in network section (LP: #355975)
    - hyperlinks on index page were messed up (LP: #367243)
    - Typo in internet section (LP: #416715)
    - Reference to feisty in add-applications (LP: #385026)
    - Typo (LP: #413695)
    - Two printer configurator (LP: #417150)
    - Pringing section listed System Settings in Favorites (LP: #417177)
    - Firefox bookmark handling UI changed (LP: #416502)
  * debian/rules:
    - commented out translations section until final release
    - changed khelpdesktop location to fix FTBFS
    - removed index-table.css as it isn't used anymore
    - removed libs/*.html for contribs and legal as it isn't needed anymore
    - changed basic-concepts to basic-commands
    - changed programming to development
  * debian/compat: bumped to 7 for debhelper
  * debian/control: bumped to 7 for debhelper, 3.8.3 for standards
  * debian/kubuntu-systemdocs: rename concepts and programming accordingly
  * debian/source.lintian-overrides:
    - added debhelper-but-no-misc-depends-kubuntu-docs
    - removed the rest as they are not needed anymore
  * debian/postinst: removed, replaced with kubuntu-docs.links
  * debian/prerm: removed, not needed anymore
  * debian/kubuntu-docs.links: added to link css and kubuntu index file

 -- Richard A. Johnson <nixternal@ubuntu.com>  Tue, 01 Sep 2009 15:42:54 -0500

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
 Uploaders: Richard A. Johnson <nixternal@kubuntu.org>,
  Jonathan Riddell <jriddell@ubuntu.com>
-Build-Depends: debhelper (>= 6), cdbs, xsltproc, docbook-xsl, docbook-xml,
+Build-Depends: debhelper (>= 7), cdbs, xsltproc, docbook-xsl, docbook-xml,
  kdelibs5-data
-Standards-Version: 3.8.0
+Standards-Version: 3.8.3
 Homepage: http://www.kubuntu.org/
 
 Package: kubuntu-docs
 Architecture: all
-Depends: khelpcenter | www-browser | x-www-browser
+Depends: ${misc:Depends}, ${shlibs:Depends}, 
+ khelpcenter | www-browser | x-www-browser
 Description: kubuntu system documentation
  This package contains the system documentation for the Kubuntu GNU/Linux
  distribution. Full system support for Kubuntu with the KDE desktop can be

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_COMPRESS_EXCLUDE := .bz2 .css .dcl .docbook -license .tag .sty .el

DEB_DH_INSTALL_ARGS = -X.svn

DEB_SRCDIR = .

DEB_MAKE_BUILD_TARGET = all

install755=install -m755 -oroot -groot

install/kubuntu-docs::

	# about-kubuntu.desktop file for LiveCD desktop icon
	cp docs/about-kubuntu/desktop/about-kubuntu.desktop \
			docs/about-kubuntu/desktop/about-kubuntu.desktop.tobemoved
	dh_install docs/about-kubuntu/desktop/*.tobemoved usr/share/kde4/apps/khelpcenter/plugins/kubuntu/
	dh_install docs/about-kubuntu/desktop/*.desktop usr/share/kde4/apps/khelpcenter/plugins/kubuntu/

	# *.desktop files to make documents appear in khelpcenter
	dh_install khelpdesktop/kubuntu/*.desktop usr/share/kde4/apps/khelpcenter/plugins/kubuntu/

	# this is the .directory file for proper naming in khelpcenter.
	dh_install khelpdesktop/kubuntu/.directory usr/share/kde4/apps/khelpcenter/plugins/kubuntu/

	# install screenshot images for Kubuntu docs
	dh_install build/kubuntu/images/C/* usr/share/doc/kde/HTML/en/images/C/
	
	# install english docs
	dh_install build/kubuntu/about-kubuntu/C/* usr/share/doc/kde/HTML/en/kubuntu/about-kubuntu/
	dh_install build/kubuntu/add-applications/C/* usr/share/doc/kde/HTML/en/kubuntu/add-applications/
	dh_install build/kubuntu/basic-commands/C/* usr/share/doc/kde/HTML/en/kubuntu/basic-commands/
	dh_install build/kubuntu/config-desktop/C/* usr/share/doc/kde/HTML/en/kubuntu/config-desktop/
	dh_install build/kubuntu/development/C/* usr/share/doc/kde/HTML/en/kubuntu/development/
	dh_install build/kubuntu/files-and-docs/C/* usr/share/doc/kde/HTML/en/kubuntu/files-and-docs/
	dh_install build/kubuntu/games/C/* usr/share/doc/kde/HTML/en/kubuntu/games/
	dh_install build/kubuntu/getting-help/C/* usr/share/doc/kde/HTML/en/kubuntu/getting-help/
	dh_install build/kubuntu/hardware/C/* usr/share/doc/kde/HTML/en/kubuntu/hardware/
	dh_install build/kubuntu/index/C/* usr/share/doc/kde/HTML/en/kubuntu/index/
	dh_install build/kubuntu/internet/C/* usr/share/doc/kde/HTML/en/kubuntu/internet/
	dh_install build/kubuntu/keeping-safe/C/* usr/share/doc/kde/HTML/en/kubuntu/keeping-safe/
	dh_install build/kubuntu/musicvideophotos/C/* usr/share/doc/kde/HTML/en/kubuntu/musicvideophotos/
	dh_install build/kubuntu/network/C/* usr/share/doc/kde/HTML/en/kubuntu/network/
	dh_install build/kubuntu/newtokubuntu/C/* usr/share/doc/kde/HTML/en/kubuntu/newtokubuntu/
	dh_install build/kubuntu/office/C/* usr/share/doc/kde/HTML/en/kubuntu/office/
	dh_install build/kubuntu/printing/C/* usr/share/doc/kde/HTML/en/kubuntu/printing/
	dh_install build/kubuntu/system-settings/C/* usr/share/doc/kde/HTML/en/kubuntu/system-settings/


	######## DOCUMENTATION W/ TRANSLATIONS ########
	# ABOUT KUBUNTU
	#for cc in `cd build/kubuntu/about-kubuntu/ && ls`; do \
	#dh_install build/kubuntu/about-kubuntu/$$cc/* \
	#usr/share/doc/kde/HTML/$$cc/kubuntu/about-kubuntu/; done
	# ADD APPLICATIONS
	#for cc in `cd build/kubuntu/add-applications/ && ls`; do \
	#dh_install build/kubuntu/add-applications/$$cc/* \
	#usr/share/doc/kde/HTML/$$cc/kubuntu/add-applications/; done
	# BASIC COMMANDS
	#for cc in `cd build/kubuntu/basic-commands/ && ls`; do \
	#dh_install build/kubuntu/basic-commands/$$cc/* \
	#usr/share/doc/kde/HTML/$$cc/kubuntu/basic-commands/; done
	# CONFIG DESKTOP
	#for cc in `cd build/kubuntu/config-desktop/ && ls`; do \
	#dh_install build/kubuntu/config-desktop/$$cc/* \
	#usr/share/doc/kde/HTML/$$cc/kubuntu/config-desktop/; done
	# DEVELOPMENT
	#for cc in `cd build/kubuntu/development/ && ls`; do \
	#dh_install build/kubuntu/development/$$cc/* \
	#usr/share/doc/kde/HTML/$$cc/kubuntu/development/; done
	# FILES AND DOCS
	#for cc in `cd build/kubuntu/files-and-docs/ && ls`; do \
	#dh_install build/kubuntu/files-and-docs/$$cc/* \
	#usr/share/doc/kde/HTML/$$cc/kubuntu/files-and-docs/; done
	# GAMES
	#for cc in `cd build/kubuntu/games/ && ls`; do \
	#dh_install build/kubuntu/games/$$cc/* \
	#usr/share/doc/kde/HTML/$$cc/kubuntu/games/; done
	# GETTING HELP
	#for cc in `cd build/kubuntu/getting-help/ && ls`; do \
	#dh_install build/kubuntu/getting-help/$$cc/* \
	#usr/share/doc/kde/HTML/$$cc/kubuntu/getting-help/; done
	# HARDWARE
	#for cc in `cd build/kubuntu/hardware/ && ls`; do \
	#dh_install build/kubuntu/hardware/$$cc/* \
	#usr/share/doc/kde/HTML/$$cc/kubuntu/hardware/; done
	# INDEX
	#for cc in `cd build/kubuntu/index/ && ls`; do \
	#dh_install build/kubuntu/index/$$cc/* \
	#usr/share/doc/kde/HTML/$$cc/kubuntu/index/; done
	# INTERNET
	#for cc in `cd build/kubuntu/internet/ && ls`; do \
	#dh_install build/kubuntu/internet/$$cc/* \
	#usr/share/doc/kde/HTML/$$cc/kubuntu/internet/; done
	# KEEPING SAFE
	#for cc in `cd build/kubuntu/keeping-safe/ && cat ls`; do \
	#dh_install build/kubuntu/keeping-safe/$$cc/* \
	#usr/share/doc/kde/HTML/$$cc/kubuntu/keeping-safe/; done
	# MUSIC, VIDEOS, AND PHOTOS (MULTIMEDIA)
	#for cc in `cd build/kubuntu/musicvideophotos/ && ls`; do \
	#dh_install build/kubuntu/musicvideophotos/$$cc/* \
	#usr/share/doc/kde/HTML/$$cc/kubuntu/musicvideophotos/; done
	# NETWORK
	#for cc in `cd build/kubuntu/network/ && ls`; do \
	#dh_install build/kubuntu/network/$$cc/* \
	#usr/share/doc/kde/HTML/$$cc/kubuntu/network/; done
	# NEW TO KUBUNTU
	#for cc in `cd build/kubuntu/newtokubuntu/ && ls`; do \
	#dh_install build/kubuntu/newtokubuntu/$$cc/* \
	#usr/share/doc/kde/HTML/$$cc/kubuntu/newtokubuntu/; done
	# OFFICE
	#for cc in `cd build/kubuntu/office/ && ls`; do \
	#dh_install build/kubuntu/office/$$cc/* \
	#usr/share/doc/kde/HTML/$$cc/kubuntu/office/; done
	# PRINTING
	#for cc in `cd build/kubuntu/printing/ && ls`; do \
	#dh_install build/kubuntu/printing/$$cc/* \
	#usr/share/doc/kde/HTML/$$cc/kubuntu/printing/; done
	# SYSTEM SETTINGS
	#for cc in `cd build/kubuntu/system-settings/ && ls`; do \
	#dh_install build/kubuntu/system-settings/$$cc/* \
	#usr/share/doc/kde/HTML/$$cc/kubuntu/system-settings/; done
	######## END TRANSLATIONS ########

clean::

	# clean up
	make -C . clean
	rm -f build-stamp
	rm -rf debian/kubuntu-docs

## kubuntu-docs 10.04.3

=== Makefile ===
################################################################################
# Makefile for the Kubuntu Documentation
#
# Copyright (C) 2009 Richard A. Johnson <nixternal@ubuntu.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
################################################################################

MAKECMD=make

# Language code for documents
LN=C

# XSL Processor
XSLTPROC=/usr/bin/xsltproc

# Stylesheets
CHUNKXSL=libs/kubuntu-chunk.xsl
NONCHUNKXSL=libs/kubuntu-nonchunk.xsl
CHUNKONLINEXSL=libs/kubuntu-chunk-online.xsl

# Output/build directory
BUILD=build
KBASE=$(BUILD)/kubuntu

################
## Make Targets
################

# Style
style:

	mkdir -p $(KBASE)/images
	mkdir -p $(KBASE)/common
	cp images/* $(KBASE)/images/
	cp libs/kubuntu.css $(KBASE)/common/

# All Kubuntu Documentation
all: common style desktopfiles

	for doc in `ls docs/`; do \
	    xsltproc -o $(KBASE)/docs/$$doc/$(LN)/index.html $(CHUNKXSL) \
	    docs/$$doc/$(LN)/$$doc.xml; done

# Common - ccbysa and contributors
common: clean

	mkdir -p $(KBASE)/docs
	xsltproc -o $(KBASE)/docs/contributors.html $(NONCHUNKXSL) \
	    common/contributors.xml
	xsltproc -o $(KBASE)/docs/license.html $(NONCHUNKXSL) \
	    common/ccbysa.xml

desktopfiles:
	mkdir -p $(KBASE)/data
	intltool-merge -d data/about/po/ data/about/about.desktop.in build/kubuntu/data/about.desktop
	cp build/kubuntu/data/about.desktop build/kubuntu/data/about.desktop.tobemoved
	intltool-merge -d data/directory/po/ data/directory/directory.desktop.in build/kubuntu/data/.directory
	intltool-merge -d data/kubuntu-docs/po/ data/kubuntu-docs/kubuntu-docs.desktop.in build/kubuntu/data/kubuntu-docs.desktop
	intltool-merge -d data/welcome/po/ data/welcome/welcome.desktop.in build/kubuntu/data/a_welcome.desktop

# Web - build docs for use on the web
web: common style

	cp -r /usr/share/doc/kde4/HTML/en/common/* $(KBASE)/common/
	for doc in `ls docs/`; do \
	    cp docs/$$doc/$(LN)/$$doc.xml docs/$$doc/$(LN)/$$doc.xml.orig; \
	    sed -i 's/help\:\/kubuntu\//\.\.\/\.\.\//g' docs/$$doc/$(LN)/$$doc.xml; \
	    xsltproc -o $(KBASE)/$$doc/$(LN)/index.html $(CHUNKONLINEXSL) \
	    docs/$$doc/$(LN)/$$doc.xml; \
	    mv docs/$$doc/$(LN)/$$doc.xml.orig docs/$$doc/$(LN)/$$doc.xml; done

# Clean the build directory
clean:

	rm -rf $(BUILD)

=== debian/changelog ===
kubuntu-docs (10.04.3) lucid; urgency=low

  * Fixing package name in desktop doc (LP: #441351)

 -- Richard A. Johnson <nixternal@ubuntu.com>  Mon, 29 Mar 2010 14:09:14 -0500

kubuntu-docs (10.04.2) lucid; urgency=low

  * Fixing Firefox Installer docs
  * This uploaded fixes the following bugs as well:
    - (LP: #459383)
    - (LP: #534622)
    - (LP: #436224)
    - (LP: #437725)
    - (LP: #438927)
    - (LP: #441256)
    - (LP: #441280)
    - (LP: #441531)
    - (LP: #441439)
    - (LP: #441442)
    - (LP: #441496)
    - (LP: #441997)
    - (LP: #443054)
    - (LP: #444585)
    - (LP: #445831)
    - (LP: #447184)
    - (LP: #448347)
    - (LP: #448718)
    - (LP: #449564)
    - (LP: #458128)
    - (LP: #459112)
    - (LP: #460352)
    - (LP: #472668)
    - (LP: #473206)
    - (LP: #473211)
    - (LP: #486309)
    - (LP: #487556)
    - (LP: #487559)
    - (LP: #487574)
    - (LP: #524445)

 -- Richard A. Johnson <nixternal@ubuntu.com>  Sat, 27 Mar 2010 23:42:59 -0500

kubuntu-docs (10.04.1) lucid; urgency=low

  * Initial release of rewritten documentation for Lucid. All docs are new.
  * Removed debian/kubuntu-docs.links
  * Cleaning up debian/rules
  * Updated debian/copyright
  * Added source format 3.0
  * Changed the maintainer back to Ubuntu Documentation Project
  * Bumped standards to 3.8.4

 -- Richard A. Johnson <nixternal@ubuntu.com>  Fri, 26 Mar 2010 16:56:23 -0500

## kubuntu-docs 10.04.3.1

=== Makefile ===
--- 
+++ 
@@ -51,8 +51,9 @@
 all: common style desktopfiles
 
 	for doc in `ls docs/`; do \
-	    xsltproc -o $(KBASE)/docs/$$doc/$(LN)/index.html $(CHUNKXSL) \
-	    docs/$$doc/$(LN)/$$doc.xml; done
+		for lang in `ls docs/$$doc`; do \
+		    xsltproc -o $(KBASE)/docs/$$doc/$$lang/index.html $(CHUNKXSL) \
+		    docs/$$doc/$$lang/$$doc.xml; done; done
 
 # Common - ccbysa and contributors
 common: clean

=== debian/changelog ===
kubuntu-docs (10.04.3.1) lucid-proposed; urgency=low

  * Add translations, LP: #660463

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Oct 2010 12:09:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,19 @@
 Section: text
 Priority: optional
 Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
-Uploaders: Richard A. Johnson <nixternal@kubuntu.org>,
+Uploaders: Richard A. Johnson <nixternal@ubuntu.com>,
  Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: debhelper (>= 7), cdbs, xsltproc, docbook-xsl, docbook-xml,
  kdelibs5-data
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
+Vcs-Browser: http://code.launchpad.net/~ubuntu-core-doc/kubuntu-docs/lucid
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-doc/kubuntu-docs/lucid
 Homepage: http://www.kubuntu.org/
 
 Package: kubuntu-docs
 Architecture: all
+Conflicts: kubuntu-docs (<< 10.04.1)
+Replaces: kubuntu-docs (<< 10.04.1)
 Depends: ${misc:Depends}, ${shlibs:Depends}, 
  khelpcenter | www-browser | x-www-browser
 Description: kubuntu system documentation

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_COMPRESS_EXCLUDE := .bz2 .css .dcl .docbook -license .tag .sty .el

DEB_DH_INSTALL_ARGS = -X.svn

DEB_SRCDIR = .

DEB_MAKE_BUILD_TARGET = all

install755=install -m755 -oroot -groot

install/kubuntu-docs::

	# install about.desktop file
	dh_install build/kubuntu/data/*desktop usr/share/kde4/apps/khelpcenter/plugins/kubuntu/
	dh_install build/kubuntu/data/.directory usr/share/kde4/apps/khelpcenter/plugins/kubuntu/

	# install screenshot images for Kubuntu docs
	dh_install build/kubuntu/images/* usr/share/doc/kde/HTML/en/images/C/

	# install common files
	dh_install build/kubuntu/common/* usr/share/doc/kde/HTML/en/common/
	
	# install contributors.html and license.html
	dh_install build/kubuntu/docs/contributors.html usr/share/doc/kde/HTML/en/kubuntu/
	dh_install build/kubuntu/docs/license.html usr/share/doc/kde/HTML/en/kubuntu/

	# install docs (this is just to try out right now)
	for doc in `ls build/kubuntu/docs/`; do \
	for cc in `ls build/kubuntu/docs/$$doc/`; do \
	if [ $$cc = "C" ]; then \
	dh_install build/kubuntu/docs/$$doc/C/* usr/share/doc/kde/HTML/en/kubuntu/$$doc/ ; \
	else \
	dh_install build/kubuntu/docs/$$doc/$$cc/* usr/share/doc/kde/HTML/$$cc/kubuntu/$$doc/ ; \
	fi; \
	done; \
	done; \

clean::

	# clean up
	make -C . clean
	rm -f build-stamp
	rm -rf debian/kubuntu-docs

## kubuntu-docs 10.10.2

=== debian/changelog ===
kubuntu-docs (10.10.2) maverick; urgency=low

  * Add build-dep on kdoctools

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Sep 2010 23:21:28 +0100

kubuntu-docs (10.10.1) maverick; urgency=low

  * 10.10 package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Sep 2010 21:45:33 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Richard A. Johnson <nixternal@ubuntu.com>,
  Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: debhelper (>= 7), cdbs, xsltproc, docbook-xsl, docbook-xml,
- kdelibs5-data
+ kdelibs5-data, kdoctools
 Standards-Version: 3.8.4
 Vcs-Browser: http://code.launchpad.net/~ubuntu-core-doc/kubuntu-docs/lucid
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-doc/kubuntu-docs/lucid

## kubuntu-docs 10.10.2.1

=== debian/changelog ===
kubuntu-docs (10.10.2.1) maverick-proposed; urgency=low

  * Add translations from launchpad, LP: #660463

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 13 Oct 2010 15:56:22 +0100

## kubuntu-docs 11.04.1

=== debian/changelog ===
kubuntu-docs (11.04.1) natty; urgency=low

  * 11.04.1 initial package
  * debian/control:
    - Bumped standards to 3.9.1
    - Removed kdelibs-data dependency
    - Added kdoctools dependency
    - Cleaned up a little

 -- Richard A. Johnson <nixternal@ubuntu.com>  Sat, 16 Apr 2011 20:20:52 -0500

## kubuntu-docs 11.10ubuntu1

=== debian/changelog ===
kubuntu-docs (11.10ubuntu1) oneiric; urgency=low

  * Build to sent for translations.

 -- David Wonderly <david.wonderly@kubuntu.org>  Thu, 15 Sep 2011 04:02:48 -0700

kubuntu-docs (11.04.1ubuntu1) oneiric; urgency=low

  * Updated docs for the Oneiric cycle

 -- David Wonderly <david.wonderly@kubuntu.org>  Thu, 15 Sep 2011 03:49:48 -0700

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
 Uploaders: Richard A. Johnson <nixternal@ubuntu.com>,
  Jonathan Riddell <jriddell@ubuntu.com>
-Build-Depends: debhelper (>= 7), cdbs, xsltproc, docbook-xsl, docbook-xml,
- kdelibs5-data, kdoctools
-Standards-Version: 3.8.4
-Vcs-Browser: http://code.launchpad.net/~ubuntu-core-doc/kubuntu-docs/lucid
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-doc/kubuntu-docs/lucid
+Build-Depends: debhelper (>= 7.2.3), cdbs (>= 0.4.51), xsltproc, docbook-xsl,
+ docbook-xml, kdoctools (>= 4:4.6.2)
+Standards-Version: 3.9.1
 Homepage: http://www.kubuntu.org/
+Vcs-Browser: http://code.launchpad.net/~ubuntu-core-doc/kubuntu-docs/natty
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-doc/kubuntu-docs/natty
 
 Package: kubuntu-docs
 Architecture: all

## kubuntu-docs 11.10ubuntu2

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 # Stylesheets
 CHUNKXSL=libs/kubuntu-chunk.xsl
-NONCHUNKXSL=libs/kubuntu-nonchunk.xsl
+NOCHUNKXSL=libs/kubuntu-nochunk.xsl
 CHUNKONLINEXSL=libs/kubuntu-chunk-online.xsl
 
 # Output/build directory
@@ -51,17 +51,17 @@
 all: common style desktopfiles
 
 	for doc in `ls docs/`; do \
-		for lang in `ls docs/$$doc`; do \
-		    xsltproc -o $(KBASE)/docs/$$doc/$$lang/index.html $(CHUNKXSL) \
-		    docs/$$doc/$$lang/$$doc.xml; done; done
+           for lang in `ls docs/$$doc`; do \
+           xsltproc -o $(KBASE)/docs/$$doc/$$lang/index.html $(CHUNKXSL) \
+           docs/$$doc/$$lang/$$doc.xml; done; done
 
 # Common - ccbysa and contributors
 common: clean
 
 	mkdir -p $(KBASE)/docs
-	xsltproc -o $(KBASE)/docs/contributors.html $(NONCHUNKXSL) \
+	xsltproc -o $(KBASE)/docs/contributors.html $(NOCHUNKXSL) \
 	    common/contributors.xml
-	xsltproc -o $(KBASE)/docs/license.html $(NONCHUNKXSL) \
+	xsltproc -o $(KBASE)/docs/license.html $(NOCHUNKXSL) \
 	    common/ccbysa.xml
 
 desktopfiles:

=== debian/changelog ===
kubuntu-docs (11.10ubuntu2) oneiric-updates; urgency=low

  * Add translations from Launchpad LP: #868406

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Oct 2011 14:55:21 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: debhelper (>= 7.2.3), cdbs (>= 0.4.51), xsltproc, docbook-xsl,
  docbook-xml, kdoctools (>= 4:4.6.2)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.kubuntu.org/
 Vcs-Browser: http://code.launchpad.net/~ubuntu-core-doc/kubuntu-docs/natty
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-doc/kubuntu-docs/natty

## kubuntu-docs 12.04.0ubuntu1

=== debian/changelog ===
kubuntu-docs (12.04.0ubuntu1) precise; urgency=low

  * 12.04 updated, fixed English version.  

 -- David Wonderly <linux@wonderly.com>  Wed, 18 Apr 2012 11:56:36 -0700

kubuntu-docs (11.10.1) UNRELEASED; urgency=low

  * fix typo LP: #818500

 -- Daniel Polehn <dpolehn@gmail.com>  Wed, 25 Jan 2012 20:27:10 -0800

## kubuntu-docs 12.04.0ubuntu1.1

=== debian/changelog ===
kubuntu-docs (12.04.0ubuntu1.1) precise-proposed; urgency=low

  * Typos in docs by littlergirl@gmail.com, LP: #852519

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jul 2012 15:35:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Section: text
 Priority: optional
 Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
-Uploaders: Richard A. Johnson <nixternal@ubuntu.com>,
+Uploaders: David Wonderly <linux@wonderly.com>,
  Jonathan Riddell <jriddell@ubuntu.com>
 Build-Depends: debhelper (>= 7.2.3), cdbs (>= 0.4.51), xsltproc, docbook-xsl,
  docbook-xml, kdoctools (>= 4:4.6.2)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.1
 Homepage: http://www.kubuntu.org/
-Vcs-Browser: http://code.launchpad.net/~ubuntu-core-doc/kubuntu-docs/natty
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-doc/kubuntu-docs/natty
+Vcs-Browser: http://code.launchpad.net/~ubuntu-core-doc/kubuntu-docs/precise
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-doc/kubuntu-docs/precise
 
 Package: kubuntu-docs
 Architecture: all
-Conflicts: kubuntu-docs (<< 10.04.1)
-Replaces: kubuntu-docs (<< 10.04.1)
+Conflicts: kubuntu-docs (<< 11.10.1)
+Replaces: kubuntu-docs (<< 11.10.1)
 Depends: ${misc:Depends}, ${shlibs:Depends}, 
  khelpcenter | www-browser | x-www-browser
 Description: kubuntu system documentation
